Add retry (3 times) when glide download fails 59/15059/1
authorSebastien Douheret <sebastien.douheret@iot.bzh>
Fri, 6 Jul 2018 07:39:37 +0000 (09:39 +0200)
committerSebastien Douheret <sebastien.douheret@iot.bzh>
Fri, 6 Jul 2018 09:28:41 +0000 (11:28 +0200)
Change-Id: I97d70664ed6e62831a70d46f721ed2024ee9b574
Signed-off-by: Sebastien Douheret <sebastien.douheret@iot.bzh>
Makefile
scripts/xds-utils/get-syncthing.sh

index 3877ab7..bf711af 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -200,7 +200,7 @@ tools/glide:
        @test -f $(LOCAL_TOOLSDIR)/glide || { \
                echo "Downloading glide"; \
                mkdir -p $(LOCAL_TOOLSDIR); \
-               curl --silent -L https://glide.sh/get | GOBIN=$(LOCAL_TOOLSDIR)  sh; \
+               curl --silent --connect-timeout 60 --retry 3 -L https://glide.sh/get | GOBIN=$(LOCAL_TOOLSDIR)  sh; \
        }
 
 .PHONY: tools/syncthing
index 4b32950..cebabbd 100755 (executable)
@@ -1,6 +1,6 @@
 #!/bin/bash
  ###########################################################################
-# Copyright 2017 IoT.bzh
+# Copyright 2017-2018 IoT.bzh
 #
 # author: Sebastien Douheret <sebastien@iot.bzh>
 #
@@ -60,15 +60,15 @@ if [ "$?" != 0 ]; then
     exit 1
 fi
 
-gpg -q --keyserver pool.sks-keyservers.net --recv-keys 37C84554E7E0A261E4F76E1ED26E6ED000654A3E || exit 1
+${GPG} -q --keyserver pool.sks-keyservers.net --recv-keys 37C84554E7E0A261E4F76E1ED26E6ED000654A3E || exit 1
 
 tarball="syncthing-${GOOS_ST}-${GOARCH}-v${SYNCTHING_VERSION}.${TB_EXT}" \
-       && curl -sfSL "https://github.com/syncthing/syncthing/releases/download/v${SYNCTHING_VERSION}/${tarball}" -O \
-    && curl -sfSL "https://github.com/syncthing/syncthing/releases/download/v${SYNCTHING_VERSION}/sha1sum.txt.asc" -O \
-       && gpg -q --verify sha1sum.txt.asc \
-       && grep -E " ${tarball}\$" sha1sum.txt.asc | sha1sum -c - \
-       && rm -rf sha1sum.txt.asc syncthing-${GOOS_ST}-${GOARCH}-v${SYNCTHING_VERSION}
-       if [ "${TB_EXT}" = "tar.gz" ]; then
+    && curl --connect-timeout 60 --retry 3 -sfSL "https://github.com/syncthing/syncthing/releases/download/v${SYNCTHING_VERSION}/${tarball}" -O \
+    && curl --connect-timeout 60 --retry 3 -sfSL "https://github.com/syncthing/syncthing/releases/download/v${SYNCTHING_VERSION}/sha1sum.txt.asc" -O \
+    && gpg -q --verify sha1sum.txt.asc \
+    && grep -E " ${tarball}\$" sha1sum.txt.asc | sha1sum -c - \
+    && rm -rf sha1sum.txt.asc syncthing-${GOOS_ST}-${GOARCH}-v${SYNCTHING_VERSION}
+    if [ "${TB_EXT}" = "tar.gz" ]; then
         tar -xvf "$tarball" --strip-components=1 "$(basename "$tarball" .tar.gz)"/syncthing \
         && mv syncthing ${DESTDIR}/syncthing || exit 1
     else
@@ -98,11 +98,11 @@ if [ "$SYNCTHING_INOTIFY_VERSION" = "master" ]; then
     [[ "$GOOS_STI" = "darwin" ]] && OPTS="-tags kqueue"
 
     export GOPATH=$(cd ../../../.. && pwd)
-    go build -v -i -ldflags "-w -X main.Version=$version" -o ${DESTDIR}/syncthing-inotify${EXT} || exit 1
+    go build ${OPTS} -v -i -ldflags "-w -X main.Version=$version" -o ${DESTDIR}/syncthing-inotify${EXT} || exit 1
 else
 
     tarball="syncthing-inotify-${GOOS_STI}-${GOARCH}-v${SYNCTHING_INOTIFY_VERSION}.${TB_EXT}"
-    curl -sfSL "https://github.com/syncthing/syncthing-inotify/releases/download/v${SYNCTHING_INOTIFY_VERSION}/${tarball}" -O || exit 1
+    curl --connect-timeout 60 --retry 3 -sfSL "https://github.com/syncthing/syncthing-inotify/releases/download/v${SYNCTHING_INOTIFY_VERSION}/${tarball}" -O || exit 1
     rm -rf syncthing-inotify-${GOOS_STI}-${GOARCH}-v${SYNCTHING_INOTIFY_VERSION}
     if [ "${TB_EXT}" = "tar.gz" ]; then
         tar -xvf "${tarball}" syncthing-inotify && mv syncthing-inotify ${DESTDIR}/syncthing-inotify || exit 1